Page MenuHomePhabricator

Remove last visages of TokiPona
Closed, DuplicatePublic

Description

The Tokipona Wikipedia was moved to Wikia long ago, and the Wikimedia wiki left behind, as well as the unused Wiktionary and Wikibooks, were locked in 2007. The also-unused Tokipona Wikiquote was locked in 2009, and all of the Tokipona wikis were deleted in 2010. In 2007, a Tokipona Wikisource was accidentally created, but it was deleted in 2014. I propose that all Toki Pona localization files be removed from MediaWiki, the ability to add descriptions in Toki Pona be removed from Wikidata, and the Tokipona portal and localizations be removed from Translatewiki.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 21 2017, 2:27 AM
KATMAKROFAN updated the task description. (Show Details)Oct 21 2017, 2:37 AM
This comment was removed by Zoranzoki21.

Change 385771 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/core@master] Removed Toki Pona localization files from MediaWiki/core

https://gerrit.wikimedia.org/r/385771

I will change on To deploy when I upload complet patch.

I have not idea what next to work.. I uploaded one patch.. If need more, you can work it.. I moving now on To deploy.

Zoranzoki21 triaged this task as Medium priority.Oct 21 2017, 11:19 AM

Which actual problem is this task supposed to solve?

Just because there is no Tokipona site on Wikimedia sites, why should we remove translations from MediaWiki for anyone out there who may want to set up a MediaWiki site in Tokipona? (Or do I misunderstand?)

Change 385771 abandoned by Zoranzoki21:
Removed TokiPona localization files from MediaWiki/core

Reason:
If any tell to lang Tokipona can be removed from mediawiki/core, patch can be restored. Aklapper is right. See his comment in task

https://gerrit.wikimedia.org/r/385771

Luke081515 closed this task as Declined.Oct 21 2017, 4:01 PM
Luke081515 added a subscriber: Luke081515.

Per Aklapper.

NO, CEILING CAT, PLEASE NO.

NO, CEILING CAT, PLEASE NO.

What you say? I no mean you

Zoranzoki21 changed the task status from Declined to Invalid.Oct 21 2017, 5:20 PM

This is invalid, no declined.

Quiddity reopened this task as Open.EditedOct 21 2017, 7:58 PM
Quiddity added subscribers: siebrand, Nikerabbit, Quiddity.

Links always help. (otherwise everyone else has to find them independently)
https://translatewiki.net/wiki/Portal:Tokipona says "This language does not have an ISO-639 code. Translations outside of the MediaWiki scope will be discarded"
It would not be supported unless there was an ISO 639-n language code assigned to it per https://translatewiki.net/wiki/Translatewiki.net_languages
There is no ISO 639-n language code associated with it, per https://en.wikipedia.org/wiki/Toki_Pona and the 2007 rejected application at http://www-01.sil.org/iso639-3/chg_detail.asp?id=2007-011
However there is a fresh pending-application in 2017 at http://www-01.sil.org/iso639-3/chg_detail.asp?id=2017-035&lang=tok

Re: the proposed steps:

I propose that all

  • Toki Pona localization files be removed from MediaWiki,

I don't know what the policy/guidelines are around this.

  • the ability to add descriptions in Toki Pona be removed from Wikidata,

I confirm that if we add tokipona-0 to our babel box, then the option to edit the language in wikidata appears. I agree it should be removed.

  • and the Tokipona portal

A placeholder should be left, with explanation.

  • and localizations be removed from Translatewiki.

I don't know what the policy/guidelines are around this.

@siebrand @Nikerabbit can you advise?

Change 385771 restored by Zoranzoki21:
Removed TokiPona localization files from MediaWiki/core

https://gerrit.wikimedia.org/r/385771

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptOct 22 2017, 1:39 PM

Change 385771 merged by jenkins-bot:
[mediawiki/core@master] Removed Toki Pona localization files

https://gerrit.wikimedia.org/r/385771

Change 386311 had a related patch set uploaded (by MaxSem; owner: Zoranzoki21):
[mediawiki/core@REL1_30] Removed Toki Pona localization files

https://gerrit.wikimedia.org/r/386311

Change 386311 merged by jenkins-bot:
[mediawiki/core@REL1_30] Removed Toki Pona localization files

https://gerrit.wikimedia.org/r/386311

Blahma renamed this task from Nuke last visages of TokiPona to Remove last visages of TokiPona.Nov 21 2017, 1:07 PM
Blahma added a subscriber: Blahma.Nov 21 2017, 1:14 PM

As a Toki Pona speaker, I found it offending to see a bug calling to "nuke last visages" of my language and have therefore changed the title.

Also, I find it important to point out that @KATMAKROFAN, the creator of this bug (whom I do not otherwise know), seems to be a systematic opposer of constructed languages, as evidenced by his English Wikipedia user page which features user boxes stating that "This user can't stand Toki Pona." and "This user can't stand Lojban.", both of which he himself created in October 2017 and is the only user of. Therefore, he might be in a conflict of interest (on the other side than I am).

Thanks for renaming. Personal opinions are not usually considered as a conflict of interest. The main motivation here is the lack of a standard language code.

@Nikerabbit: Thank you for your reaction. I just wanted to point out that there are people out who are ferocious and loud enemies of artificial languages and that this might be one of them.

It was interesting for me to learn from @Quiddity's post about the fresh pending application for an ISO code, which might eventually solve the problem, although for Wikimedia it might come too late.